package com.slodon.b2b2c.vo.statistics;

import com.slodon.b2b2c.statistics.pojo.base.BrandBase;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 *
 * 封装商品动销-品牌排行Vo对象
 * @author wuxy
 */
@Data
public class BrandRankVO {

    @ApiModelProperty("品牌id")
    private Integer brandId;

    @ApiModelProperty("品牌名称")
    private String brandName;

    @ApiModelProperty("销售额")
    private BigDecimal saleAmount;

    @ApiModelProperty("销量")
    private Integer saleNum;

    public BrandRankVO(BrandBase brandBase) {
        this.brandId = brandBase.getBrandId();
        this.brandName = brandBase.getBrandName();
        this.saleAmount = brandBase.getSaleAmount();
        this.saleNum = brandBase.getSaleNum();
    }
}
